Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class AdminResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          weblogic.security.service.AdminResource

All Implemented Interfaces:
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public final class AdminResource

extends ResourceBase

The `AdminResource` class is used by a container to specify the Administrative resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for an Administrative resource is:
`type=<adm>, category=UserLockout, realm=myRealm, action=unlockuser` or
`type=<adm>, category=Configuration`
`type=<adm>, category=FileUpload`
`type=<adm>, category=FileDownload`
`type=<adm>, category=ViewLog`
`type=<adm>, category=CrossDomain`
`type=<adm>, category=AdminChannel`
(The former is generic and used with several different categories, while the latter is used to access MBean fields.)

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`AdminResource(String category, String realm, String action)` Constructs a new `AdminResource` with a target name composed from the `category`, `realm`, and `action` parameters.

Method Summary
`String` | `getActionName()` Gets the name of the action being requested on the `AdminResource`.
`String[]` | `getKeys()` Gets keys for the `AdminResource`.
`String` | `getResourceName()` Gets the name of the `AdminResource`.
`String` | `getResourceType()` Gets the category of the `AdminResource`.
`String` | `getType()` Gets the type of this resource (`AdminResource`).
`void` | `initialize(String category, String realm, String action)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `AdminResource`.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, isTransitiveField, reset, toString, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdminResource

    public AdminResource(String category,
                         String realm,
                         String action)

  Constructs a new `AdminResource` with a target name composed from the `category`, `realm`, and `action` parameters.

  Parameters:
    `category` - a String indicating the category of Administrative resource. Valid values for this parameter are restricted to the following:
    - `UserLockout`
    - `Configuration`
    - `FileUpload`
    - `FileDownload`
    - `ViewLog`

    - `CrossDomain`

    - `AdminChannel`

    `realm` - a String name for the Administrative resource.

    `action` - a String indicating the action being requested on the resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for a `UserLockout` category of Administrative resource are restricted to the following:
    - `unlockuser`
    Valid values for a FileDownload specify one of a list of possible resource types that are to be downloaded and are restricted to the following types:
    - `wl_component_request`
    - `wl_ear_resource_request`
    - `ear_request`
    - `wl_xml_entity_request`
    - `wl_jsp_refresh_request`
    - `file`
    - `wl_init_replica_request`
    - `wl_file_realm_request`
    - `wl_managed_server_independence_request`

Method Detail

### initialize

    public void initialize(String category,
                           String realm,
                           String action)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces the `category`, `realm`, and `action` parameters of the resource with the specified values.

### getType

    public String getType()

  Gets the type of this resource (`AdminResource`).

  Returns:
    the type of this resource, represented as a String.

### getKeys

    public String[] getKeys()

  Gets keys for the `AdminResource`.

  Specified by:
    `getKeys` in interface `Resource`
  Specified by:
    `getKeys` in class `ResourceBase`
  Returns:
    an array of Strings containing the `AdminResource`'s keys.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `AdminResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for the `AdminResource` (that is, the values returned from successive calls to this method) is:

  `type=<adm>, category=UserLockout, realm=myRealm
  type=<adm>, category=UserLockout
  type=<adm>`
  or
  `type=<adm>` when accessing MBean fields.

  Overrides:
    `makeParent` in class `ResourceBase`
  Returns:
    the `Resource` object of the parent resource.

### getResourceType

    public String getResourceType()

  Gets the category of the `AdminResource`.

  Returns:
    the category of the `AdminResource`, represented as a String.

### getActionName

    public String getActionName()

  Gets the name of the action being requested on the `AdminResource`.

  Returns:
    the name of the action being requested on the `AdminResource`, represented as a String.

### getResourceName

    public String getResourceName()

  Gets the name of the `AdminResource`.

  Returns:
    the name of the `AdminResource`, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD